Intrusion Prevention

Adobe.Flash.Player.DoInitAction.Tag.Parsing.Memory.Corruption

Description

This indicates an attack attempt to exploit a Memory Corruption vulnerability in Adobe Flash Player.
The vulnerability is due to an error when the vulnerable software handles a maliciously crafted SWF file. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted SWF file.

Affected Products

Flash Player 11.4.402.278 and earlier versions for Windows
Flash Player 11.4.402.265 and earlier versions for Macintosh
Flash Player 11.2.202.238 and earlier for Linux
Flash Player 11.1.115.17 and earlier for Android 4.x
Flash Player 11.1.111.16 and earlier for Android 3.x and 2.x
Flash Player 11.3.31.331 and earlier for Chrome users (Windows and Linux)
Flash Player 11.4.402.265 and earlier for Chrome users (Macintosh)
Flash Player 11.3.374.7 and earlier in Internet Explorer 10
AIR 3.4.0.2540 and earlier for Windows and Macintosh
AIR 3.4.0.2540 SDK (includes AIR for iOS) and earlier
AIR 3.4.0.2540 and earlier for Android

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://www.adobe.com/support/security/bulletins/apsb12-22.html

CVE References

CVE-2012-5268